Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13475

Description

Using the export to pdf tool, with a raster basemap and vector overlay, the basemap shrinks(?).  There seems to be a margin by the top

and left frame boundary where the basemap has receded from it.  The vector overlay proportionally appears to be positioned as it was in

the print composer.

History

#1 - 2011-05-16 01:34 PM - Marco Hugentobler

Is this still true?

If yes, could you attach a zip with sample data and a project (project with relative file pathes). If the data is secret, you may also send it to me privately (

marco@sourcepole.ch)

#2 - 2011-07-03 12:17 AM - Micha Silver

I tried to export the print composer to PDF (WinXP, OSGeo setup of 1.7) and it seems the problem still exists. The raster background layer (a tiff with

accompanying tfw world file) gets shifted compared to the overlaying vector layer. The project is in CRS is EPSG:2039.

I exported also to jpeg and that looks fine.

Here's where you can find the project (relative paths), data files, and both resulting images:

http://www.surfaces.co.il/dl/PDF_Bug.zip

Note: I tested the same data on Debian Lenny, QGIS 1.7 - no such problem.

Regards,

Micha

#3 - 2011-12-16 01:50 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#5 - 2012-09-04 12:03 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0
#6 - 2014-04-06 06:02 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#7 - 2014-06-22 12:29 AM - Nyall Dawson

- Status changed from Open to Feedback

- Pull Request or Patch supplied set to No

Seems the sample project is no longer available. Is this still reproducable? If so, can you please make the sample project available again and I'll take a

look?

#8 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#9 - 2014-10-06 11:41 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback.
